<?php
namespace Teknisa\CDP\Modules\Producao\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\GER\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;

    class Cdp01000LoteDeProducaoController extends TeknisaCrud {
        protected $dataSourceName = 'grupocor';
        protected $dataSourceNameToSave = '';
        protected $Cdp01000LoteDeProducaoService;
  
        public function __construct($crudService, ParameterBag $parameterBag, $Cdp01000LoteDeProducaoService){
            parent::__construct($crudService, $parameterBag);
            $this->Cdp01000LoteDeProducaoService = $Cdp01000LoteDeProducaoService;
        }

        public function LiberarLoteProd(DTO\Request $request, DTO\Response $response){
            try {
                $rows = $request->getRow();
                $this->Cdp01000LoteDeProducaoService->liberaLote($rows);
            } catch (\Exception $e) {
                $response->setError(new Error($e->getMessage(), 500));
            }
        }
        
    }
?>