<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use Teknisa\CDP\Modules\Producao\Factories\cdp26000ControlePrioridadeProducaoFactory;


class cdp26000ControlePrioridadeProducaoService{

	protected $entityManager;
	protected $environment;
	protected $cdp26000ControlePrioridadeProducaoFactory;

	public function __construct(Environment $environment, EntityManager $entityManager, cdp26000ControlePrioridadeProducaoFactory $cdp26000ControlePrioridadeProducaoFactory){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->cdp26000ControlePrioridadeProducaoFactory = $cdp26000ControlePrioridadeProducaoFactory;
	}

	public function checkNewRowPrioriproducao($rows){
    	try{
            $params = array(
                'CDEQUIPPRO'=>$rows['CDEQUIPPRO'],
                'CDPRODINSUMO'=>$rows['CDPRODINSUMO'],
                'NRORG'=>$rows['NRORG']
            );
        	
        	$ExiteNaTabela = $this->cdp26000ControlePrioridadeProducaoFactory->checkNewRowPrioriproducao($params);
    	    
    	    if(empty($ExiteNaTabela)){
    	    	return true;
    	    } else {
    	        return false;
    	    }
    	}catch (\Exception $e) {
            throw $e;
        }
    }

}